Skip to main content
GET
/
bills
/
categories
/
{id}
/
items
/
{itemId}
curl -X GET https://api.swervpay.co/api/v1/bills/categories/{id}/items/{itemId} \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';

const config = {
    secretKey: "<SECRET_KEY>",
    businessId: "<BUSINESS_ID>"
}

const swervpay = new SwervpayClient(config);

await swervpay.bill.items("<CATEGORY_ID>", "<BILLER_ID>");
use Swervpaydev\SDK\Swervpay;

$config = [
	'business_id' => '<BUSINESS_ID>',
	'secret_key' => '<SECRET_KEY>'
];

$client = new Swervpay($config);

$client->bill()->items("<CATEGORY_ID>", "<BILLER_ID>")->toArray();
package main

import (
	"context"
	"fmt"
	"github.com/swerv-ltd/swervpay-go"
	"log"
)

func main() {
	ctx := context.Background()

	client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
        BusinessID: "<BUSINESS_ID>",
        SecretKey: "<SECRET_KEY>",
    })

	resp, err := client.Bill.Items(ctx, "<CATEGORY_ID>", "<BILLER_ID>")

	if err != nil {
		log.Fatal("error", err.Error())
		return
	}
}
[
  {
    "amount": 123,
    "code": "<string>",
    "currency": "<string>",
    "fee": 123,
    "id": "<string>",
    "name": "<string>"
  }
]
{
"message": "<string>",
"values": {}
}
{
"message": "<string>",
"values": {}
}
{
"message": "<string>",
"values": {}
}
curl -X GET https://api.swervpay.co/api/v1/bills/categories/{id}/items/{itemId} \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';

const config = {
    secretKey: "<SECRET_KEY>",
    businessId: "<BUSINESS_ID>"
}

const swervpay = new SwervpayClient(config);

await swervpay.bill.items("<CATEGORY_ID>", "<BILLER_ID>");
use Swervpaydev\SDK\Swervpay;

$config = [
	'business_id' => '<BUSINESS_ID>',
	'secret_key' => '<SECRET_KEY>'
];

$client = new Swervpay($config);

$client->bill()->items("<CATEGORY_ID>", "<BILLER_ID>")->toArray();
package main

import (
	"context"
	"fmt"
	"github.com/swerv-ltd/swervpay-go"
	"log"
)

func main() {
	ctx := context.Background()

	client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
        BusinessID: "<BUSINESS_ID>",
        SecretKey: "<SECRET_KEY>",
    })

	resp, err := client.Bill.Items(ctx, "<CATEGORY_ID>", "<BILLER_ID>")

	if err != nil {
		log.Fatal("error", err.Error())
		return
	}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
itemId
string
required

Response

OK

amount
number
code
string
currency
string
fee
number
id
string
name
string